libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
ph_data_param Struct Reference

for PH-[UNIT]DATA. More...

`#include <l1sap.h>`

## Data Fields
uint8_t | link_id
| Link Identifier (Like RSL) More...
uint8_t | chan_nr
| Channel Number (Like RSL) More...
uint32_t | fn
| GSM Frame Number. More...
int8_t | rssi
| RSSI of receivedindication. More...
uint16_t | ber10k
| BER in units of 0.01%. More...
union {
int16_t ta_offs_qbits
| Burst TA Offset in quarter bits. More...
int16_t ta_offs_256bits
| timing advance offset (in 1/256th bits) More...
}; |
int16_t | lqual_cb
| Link quality in centiBel. More...
enum osmo_ph_pres_info_type | pdch_presence_info
| Info regarding presence/validity of header and data parts. More...
uint8_t | is_sub:1
| flags More...

## Detailed Description

for PH-[UNIT]DATA.

{req,ind} | PH-RTS.ind

## Field Documentation

## ◆

union { ... } ph_data_param::@20

## ◆ ber10k

uint16_t ph_data_param::ber10k

BER in units of 0.01%.

## ◆ chan_nr

uint8_t ph_data_param::chan_nr

Channel Number (Like RSL)

Referenced by lapdm_phsap_dequeue_prim_fn(), lapdm_phsap_up(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## ◆ fn

uint32_t ph_data_param::fn

GSM Frame Number.

Referenced by lapdm_phsap_up().

## ◆ is_sub

uint8_t ph_data_param::is_sub

flags

## ◆ link_id

uint8_t ph_data_param::link_id

Link Identifier (Like RSL)

Referenced by lapdm_phsap_dequeue_prim_fn(), lapdm_phsap_up(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## ◆ lqual_cb

int16_t ph_data_param::lqual_cb

Link quality in centiBel.

## ◆ pdch_presence_info

enum osmo_ph_pres_info_type ph_data_param::pdch_presence_info

Info regarding presence/validity of header and data parts.

## ◆ rssi

int8_t ph_data_param::rssi

RSSI of receivedindication.

## ◆ ta_offs_256bits

int16_t ph_data_param::ta_offs_256bits

timing advance offset (in 1/256th bits)

## ◆ ta_offs_qbits

int16_t ph_data_param::ta_offs_qbits

Burst TA Offset in quarter bits.

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/l1sap.h